ALTERNATIVES-UPDATE(1)

NAME
alternatives-update - manual page for alternatives-update version 0.4

SYNOPSIS
alternatives-update [options]

DESCRIPTION
alternatives-update syncs alternatives subsystem state with database: creates nessesary symlinks, deletes old one, fix broken.

For example, you have some packages sub1, sub2 and sub3. All of them have candidates for one alternative and also require some common package. You can place database with all candidates to common package. This allows you to made only update requests from packages. All register/unregister procedures will be done by common package.

  Valid options are:

-h, --help
    display help screen

-v, --version display version information

FILES

/etc/alternatives/packages.d/ -
    directory containing installed alternatives configs

/etc/alternatives/links/ -
    internal working directory containing symlinks to candidates

/etc/alternatives/manual -
    file containing manual alternatives settings

AUTHOR
Written by Stanislav Ievlev

REPORTING BUGS
Report bugs to <inger@altlinux.org>

COPYRIGHT
Copyright © 2003-2018 ALT Linux Team

SEE ALSO
alternatives(7),